<?php
namespace App\gateway;

use App\metier\Profil;
use App\metier\Formation;

class FormationGateway
{
    private \App\gateway\Connection $con;

    /**
     * @param $con
     */
    public function __construct(\App\gateway\Connection $con){
        $this->con = $con;
    }

    public function getNewId() : int 
    {
        $query='SELECT MAX(id) FROM Formation';
        $this->con->executeQuery($query);
        $res=$this->con->getResults();
        return $res[0]['MAX(id)']+1;
    }

    public function getNbFormation(): int
    {
        $query = 'SELECT COUNT(*) FROM Formation';
        $this->con->executeQuery($query, array());
        $res = $this->con->getResults();
        return intval($res[0]['COUNT(*)']);
    }

    public function getFormationFromId(int $id) : array
    {
        $query = "SELECT * FROM Formation WHERE id=:id";
        $this->con->executeQuery($query, array(
            ':id' => array($id, \PDO::PARAM_INT)
        ));
        return $this->con->getResults();
    }

    public function getFormationFromProfil(int $profil) : array
    {
        $query = "SELECT * FROM Formation WHERE profil=:profil"  ;
        $this->con->executeQuery($query, array(
            ':profil' => array($profil, \PDO::PARAM_INT)
        ));
        // var_dump($profil);
        // var_dump($this->con->getResults());
        return $this->con->getResults();
    }

    public function addFormation(Formation $form)
    {
        $query = 'INSERT INTO Formation VALUES (:id, :profil, :nom, :ville,:dateDeb, :dateFin, :currentFormation)';
        $this->con->executeQuery($query, array(
            ':id' => array($form->getId(), \PDO::PARAM_INT),
            //':profil' => array($exp->getProfil(), \PDO::PARAM_INT),
            ':profil' => array(33,\PDO::PARAM_INT),
            ':nom' => array($form->getNom(), \PDO::PARAM_STR),
            ':ville' => array($form->getville(), \PDO::PARAM_STR),
            ':dateBegin' => array($form->getDateDebut(), \PDO::PARAM_STR),
            ':dateEnd' => array($form->getDateFin(), \PDO::PARAM_STR),
            ':currentFormation' => array($form->isFormationActuelle(), \PDO::PARAM_BOOL),
        ));
    }

    public function deleteFormation(int $id) 
    {
        $query = 'DELETE FROM Formation WHERE id=:id';
        $this->con->executeQuery($query, array(
            ':id' => array($id, \PDO::PARAM_INT)
        ));
    }

    
}